// <auto-generated />
// This file was generated by a T4 template.
// Don't change it directly as your change would get overwritten.  Instead, make changes
// to the .tt file (i.e. the T4 template) and save it to regenerate this file.

// Make sure the compiler doesn't complain about missing Xml comments and CLS compliance
// 0108: suppress "Foo hides inherited member Foo. Use the new keyword if hiding was intended." when a controller and its abstract parent are both processed
// 0114: suppress "Foo.BarController.Baz()' hides inherited member 'Qux.BarController.Baz()'. To make the current member override that implementation, add the override keyword. Otherwise add the new keyword." when an action (with an argument) overrides an action in a parent controller
#pragma warning disable 1591, 3008, 3009, 0108, 0114
#region T4MVC

using System;
using System.Diagnostics;
using System.CodeDom.Compiler;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.CompilerServices;
using System.Threading.Tasks;
using System.Web;
using System.Web.Hosting;
using System.Web.Mvc;
using System.Web.Mvc.Ajax;
using System.Web.Mvc.Html;
using System.Web.Routing;
using T4MVC;
namespace LoyaltyPointEngine.CMS.Controllers
{
    public partial class MemberKKApprovalController
    {
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected MemberKKApprovalController(Dummy d) { }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToAction(ActionResult result)
        {
            var callInfo = result.GetT4MVCResult();
            return RedirectToRoute(callInfo.RouteValueDictionary);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToAction(Task<ActionResult> taskResult)
        {
            return RedirectToAction(taskResult.Result);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToActionPermanent(ActionResult result)
        {
            var callInfo = result.GetT4MVCResult();
            return RedirectToRoutePermanent(callInfo.RouteValueDictionary);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        protected RedirectToRouteResult RedirectToActionPermanent(Task<ActionResult> taskResult)
        {
            return RedirectToActionPermanent(taskResult.Result);
        }

        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult Index()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Index);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult Edit()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Edit);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult GridGetAllMemberPager()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GridGetAllMemberPager);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult DeleteChild()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.DeleteChild);
        }
        [NonAction]
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public virtual System.Web.Mvc.ActionResult MoveImage()
        {
            return new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.MoveImage);
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public MemberKKApprovalController Actions { get { return MVC.MemberKKApproval; } }
        [GeneratedCode("T4MVC", "2.0")]
        public readonly string Area = "";
        [GeneratedCode("T4MVC", "2.0")]
        public readonly string Name = "MemberKKApproval";
        [GeneratedCode("T4MVC", "2.0")]
        public const string NameConst = "MemberKKApproval";
        [GeneratedCode("T4MVC", "2.0")]
        static readonly ActionNamesClass s_actions = new ActionNamesClass();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionNamesClass ActionNames { get { return s_actions; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionNamesClass
        {
            public readonly string Index = "Index";
            public readonly string Edit = "Edit";
            public readonly string GridGetAllMember = "GridGetAllMember";
            public readonly string GridGetAllMemberPager = "GridGetAllMemberPager";
            public readonly string DeleteChild = "DeleteChild";
            public readonly string MoveImage = "MoveImage";
        }

        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionNameConstants
        {
            public const string Index = "Index";
            public const string Edit = "Edit";
            public const string GridGetAllMember = "GridGetAllMember";
            public const string GridGetAllMemberPager = "GridGetAllMemberPager";
            public const string DeleteChild = "DeleteChild";
            public const string MoveImage = "MoveImage";
        }


        static readonly ActionParamsClass_Index s_params_Index = new ActionParamsClass_Index();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_Index IndexParams { get { return s_params_Index; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_Index
        {
            public readonly string status = "status";
        }
        static readonly ActionParamsClass_Edit s_params_Edit = new ActionParamsClass_Edit();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_Edit EditParams { get { return s_params_Edit; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_Edit
        {
            public readonly string MemberId = "MemberId";
            public readonly string code = "code";
            public readonly string status = "status";
            public readonly string model = "model";
            public readonly string param = "param";
            public readonly string mode = "mode";
        }
        static readonly ActionParamsClass_GridGetAllMemberPager s_params_GridGetAllMemberPager = new ActionParamsClass_GridGetAllMemberPager();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_GridGetAllMemberPager GridGetAllMemberPagerParams { get { return s_params_GridGetAllMemberPager; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_GridGetAllMemberPager
        {
            public readonly string search = "search";
            public readonly string orderBy = "orderBy";
            public readonly string orderDirection = "orderDirection";
            public readonly string page = "page";
            public readonly string hiddenAwal = "hiddenAwal";
            public readonly string hiddenAkhir = "hiddenAkhir";
            public readonly string channel = "channel";
            public readonly string isUploadedKTP = "isUploadedKTP";
            public readonly string isUploadedKK = "isUploadedKK";
            public readonly string isUploadedAkte = "isUploadedAkte";
        }
        static readonly ActionParamsClass_DeleteChild s_params_DeleteChild = new ActionParamsClass_DeleteChild();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_DeleteChild DeleteChildParams { get { return s_params_DeleteChild; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_DeleteChild
        {
            public readonly string ID = "ID";
            public readonly string MemberID = "MemberID";
        }
        static readonly ActionParamsClass_MoveImage s_params_MoveImage = new ActionParamsClass_MoveImage();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ActionParamsClass_MoveImage MoveImageParams { get { return s_params_MoveImage; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ActionParamsClass_MoveImage
        {
            public readonly string MemberId = "MemberId";
            public readonly string sourceImage = "sourceImage";
            public readonly string destinationImage = "destinationImage";
        }
        static readonly ViewsClass s_views = new ViewsClass();
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public ViewsClass Views { get { return s_views; } }
        [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
        public class ViewsClass
        {
            static readonly _ViewNamesClass s_ViewNames = new _ViewNamesClass();
            public _ViewNamesClass ViewNames { get { return s_ViewNames; } }
            public class _ViewNamesClass
            {
                public readonly string ChangeImage = "ChangeImage";
                public readonly string Edit = "Edit";
                public readonly string GridGetAllMember = "GridGetAllMember";
                public readonly string Index = "Index";
            }
            public readonly string ChangeImage = "~/Views/MemberKKApproval/ChangeImage.cshtml";
            public readonly string Edit = "~/Views/MemberKKApproval/Edit.cshtml";
            public readonly string GridGetAllMember = "~/Views/MemberKKApproval/GridGetAllMember.cshtml";
            public readonly string Index = "~/Views/MemberKKApproval/Index.cshtml";
        }
    }

    [GeneratedCode("T4MVC", "2.0"), DebuggerNonUserCode]
    public partial class T4MVC_MemberKKApprovalController : LoyaltyPointEngine.CMS.Controllers.MemberKKApprovalController
    {
        public T4MVC_MemberKKApprovalController() : base(Dummy.Instance) { }

        [NonAction]
        partial void IndexOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, string status);

        [NonAction]
        public override System.Web.Mvc.ActionResult Index(string status)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Index);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "status", status);
            IndexOverride(callInfo, status);
            return callInfo;
        }

        [NonAction]
        partial void EditOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, int MemberId, string code, string status);

        [NonAction]
        public override System.Web.Mvc.ActionResult Edit(int MemberId, string code, string status)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Edit);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "MemberId", MemberId);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "code", code);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "status", status);
            EditOverride(callInfo, MemberId, code, status);
            return callInfo;
        }

        [NonAction]
        partial void EditOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, LoyaltyPointEngine.Model.Parameter.Member.ApproveMemberKKImageModel model, LoyaltyPointEngine.Model.Parameter.Member.EditMemberParameterModel param, string mode);

        [NonAction]
        public override System.Web.Mvc.ActionResult Edit(LoyaltyPointEngine.Model.Parameter.Member.ApproveMemberKKImageModel model, LoyaltyPointEngine.Model.Parameter.Member.EditMemberParameterModel param, string mode)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.Edit);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "model", model);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "param", param);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "mode", mode);
            EditOverride(callInfo, model, param, mode);
            return callInfo;
        }

        [NonAction]
        partial void GridGetAllMemberOverride(T4MVC_System_Web_Mvc_ActionResult callInfo);

        [NonAction]
        public override System.Web.Mvc.ActionResult GridGetAllMember()
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GridGetAllMember);
            GridGetAllMemberOverride(callInfo);
            return callInfo;
        }

        [NonAction]
        partial void GridGetAllMemberPagerOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, string search, string orderBy, string orderDirection, int? page, string hiddenAwal, string hiddenAkhir, string channel, bool isUploadedKTP, bool isUploadedKK, bool isUploadedAkte);

        [NonAction]
        public override System.Web.Mvc.ActionResult GridGetAllMemberPager(string search, string orderBy, string orderDirection, int? page, string hiddenAwal, string hiddenAkhir, string channel, bool isUploadedKTP, bool isUploadedKK, bool isUploadedAkte)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.GridGetAllMemberPager);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "search", search);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "orderBy", orderBy);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "orderDirection", orderDirection);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "page", page);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "hiddenAwal", hiddenAwal);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "hiddenAkhir", hiddenAkhir);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "channel", channel);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "isUploadedKTP", isUploadedKTP);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "isUploadedKK", isUploadedKK);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "isUploadedAkte", isUploadedAkte);
            GridGetAllMemberPagerOverride(callInfo, search, orderBy, orderDirection, page, hiddenAwal, hiddenAkhir, channel, isUploadedKTP, isUploadedKK, isUploadedAkte);
            return callInfo;
        }

        [NonAction]
        partial void DeleteChildOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, int ID, int MemberID);

        [NonAction]
        public override System.Web.Mvc.ActionResult DeleteChild(int ID, int MemberID)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.DeleteChild);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "ID", ID);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "MemberID", MemberID);
            DeleteChildOverride(callInfo, ID, MemberID);
            return callInfo;
        }

        [NonAction]
        partial void MoveImageOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, int MemberId);

        [NonAction]
        public override System.Web.Mvc.ActionResult MoveImage(int MemberId)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.MoveImage);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "MemberId", MemberId);
            MoveImageOverride(callInfo, MemberId);
            return callInfo;
        }

        [NonAction]
        partial void MoveImageOverride(T4MVC_System_Web_Mvc_ActionResult callInfo, int MemberId, string sourceImage, string destinationImage);

        [NonAction]
        public override System.Web.Mvc.ActionResult MoveImage(int MemberId, string sourceImage, string destinationImage)
        {
            var callInfo = new T4MVC_System_Web_Mvc_ActionResult(Area, Name, ActionNames.MoveImage);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "MemberId", MemberId);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "sourceImage", sourceImage);
            ModelUnbinderHelpers.AddRouteValues(callInfo.RouteValueDictionary, "destinationImage", destinationImage);
            MoveImageOverride(callInfo, MemberId, sourceImage, destinationImage);
            return callInfo;
        }

    }
}

#endregion T4MVC
#pragma warning restore 1591, 3008, 3009, 0108, 0114
